## com.google.appengine.api.datastore
Enum IMHandle.Scheme

    java.lang.Object
      java.lang.Enum<IMHandle.Scheme>
          com.google.appengine.api.datastore.IMHandle.Scheme

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IMHandle.Scheme>

Enclosing class:
  IMHandle

    public static enum IMHandle.Scheme

extends java.lang.Enum<IMHandle.Scheme>

Supported IM schemes.

Enum Constant Summary
`sip`
`unknown`
`xmpp`

Method Summary
`static IMHandle.Scheme` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IMHandle.Scheme[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### sip

    public static final IMHandle.Scheme sip

### unknown

    public static final IMHandle.Scheme unknown

### xmpp

    public static final IMHandle.Scheme xmpp

Method Detail

### values

    public static IMHandle.Scheme[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IMHandle.Scheme c : IMHandle.Scheme.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IMHandle.Scheme valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null